# Created by pyp2rpm-3.3.10
%global pypi_name pyhandle
%global pypi_version 1.4.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Library for management of handles

License:        Apache License 2.0
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(datetime)
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose2)
BuildRequires:  python3dist(pymysql) = 1.1.1
BuildRequires:  python3dist(requests) = 2.25.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
 PYHANDLEPyHandle is a Python client library for interaction with a [Handle
System]() server, providing basic create, read, update and delete capabilities
for Handles. The library offers a client for the HTTP REST interface. It also
includes a client that interacts directly with a Handle server SQL back-end and
a client that creates customized Batch files (containing Batch operations that
can...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(datetime)
Requires:       python3dist(future)
Requires:       python3dist(pymysql) = 1.1.1
Requires:       python3dist(requests) = 2.25.1
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
 PYHANDLEPyHandle is a Python client library for interaction with a [Handle
System]() server, providing basic create, read, update and delete capabilities
for Handles. The library offers a client for the HTTP REST interface. It also
includes a client that interacts directly with a Handle server SQL back-end and
a client that creates customized Batch files (containing Batch operations that
can...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Feb 6 2025 Emir Imamagic <eimamagi@srce.hr> - 1.4.1-1
- Initial package.
